﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Practices.Prism.Regions;
using Microsoft.Practices.Unity;
using JobRequestModule.ViewModels;
using Telerik.Windows.Controls;

namespace JobRequestModule.Views
{
	public partial class JobRequestView : UserControl
	{
		public JobRequestView(IRegionManager _regionManager, IUnityContainer _container)
		{
			InitializeComponent();

			this.DataContext = new JobRequestViewModel();
			(this.DataContext as JobRequestViewModel).Container = _container;
			(this.DataContext as JobRequestViewModel).MyRegionManager = _regionManager;

			RegionManager.SetRegionManager(contentControl,(this.DataContext as JobRequestViewModel).MyRegionManager);

		}
	}
}
